Subject: bug#79024: 31.0.50; Multiple working trees support for VC

From: Sean Whitton <[email-masked]>
Date: Thu, 14 Aug 2025 14:43:10 +0100

Hello,

On Thu 14 Aug 2025 at 03:44pm +03, Eli Zaretskii wrote:

>> From: Sean Whitton <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Thu, 14 Aug 2025 13:26:44 +0100
>>
>> Could you test the attached, please?
>
> It didn't apply for some reason, so I patched manually.
>
> The vc-test-hg07-other-working-trees test still fails, but in a
> different place now:
>
>   Test vc-test-hg07-other-working-trees condition:
>       (error
>        "Failed (status 255): hg --config ui.report_untrusted=0 --config=extensions.share= commit -A -l c:/Users/EliZ/AppData/Local/Temp/hg-msgjR8Sup foo")
>
> Any ideas?

Hmm, I recently changed vc-do-command to print command output for
failing commands.  I assume there's nothing showing up?

Is it possible that your version of Mercurial lacks one of the -A or -l
options?  I think we established that you do have the share extension,
though maybe you don't?

I would suggest trying this manually something like this (translated to
Windows speak)

    mkdir foo
    cd foo
    hg init
    echo foo >bar
    hg add bar
    echo msg >../tmp
    hg --config ui.report_untrusted=0 --config=extensions.share= commit
    -A -l ../tmp bar

>> +    (when msg-file
>> +      (write-region (car args) nil msg-file))
>
> Shouldn't we bind coding-system-for-write to 'utf-8' here?

Yes, thanks, done locally.

-- 
Sean Whitton